import request from '@/utils/request'

// 查询加油记录列表
export function listRefuelRecord(query) {
  return request({
    url: '/rescue/refuelRecord/list',
    method: 'get',
    params: query
  })
}

// 查询加油记录详细
export function getRefuelRecord(id) {
  return request({
    url: '/rescue/refuelRecord/' + id,
    method: 'get'
  })
}

// 新增加油记录
export function addRefuelRecord(data) {
  return request({
    url: '/rescue/refuelRecord',
    method: 'post',
    data: data
  })
}

// 修改加油记录
export function updateRefuelRecord(data) {
  return request({
    url: '/rescue/refuelRecord',
    method: 'put',
    data: data
  })
}

// 删除加油记录
export function delRefuelRecord(id) {
  return request({
    url: '/rescue/refuelRecord/' + id,
    method: 'delete'
  })
}
